Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1882521 - Generate appstream-data for F33
Summary: Generate appstream-data for F33
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: appstream-data
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException RejectedBlocker
Depends On:
Blocks: F33FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2020-09-24 19:40 UTC by Daniel Rusek
Modified: 2020-10-15 22:35 UTC (History)
8 users (show)

Fixed In Version: appstream-data-33-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-15 22:35:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Daniel Rusek 2020-09-24 19:40:48 UTC
Please, consider generating appstream-data for F33. The current one was generated by releng from old F32 AppStream metadata.

Comment 1 Jerry James 2020-10-02 14:57:48 UTC
Furthermore, moving from F32 to F33 requires a downgrade of appstream-data.  F32 has appstream-data-32-8.fc32, but F33 has appstream-data-32-7.fc33.

Comment 2 Fabio Valentini 2020-10-06 12:17:43 UTC
I guess this one should this be a release blocker / candidate for freeze exception?

Comment 3 Daniel Rusek 2020-10-06 12:32:36 UTC
From IRC discussion:

Sep 30 13:48:06 <AsciiWolf> kalev, hi! any chance someone could update appstream-data for F33? :) the latest f33 package is still based on the old f32 metadata and was automatically generated by releng
Sep 30 13:49:07 <kalev> AsciiWolf: hey, sorry, I can't do that :( I asked hughsie two weeks ago, but I think he got sidetracked with other stuff
Sep 30 13:49:42 <AsciiWolf> ah :( ok, thanks anyway :)
Sep 30 13:50:34 <kalev> AsciiWolf: maybe it's best to leave it alone for now and I'll ask him again once we're frozen for F33 Final so we ship with fully up to date metadata
Sep 30 13:51:06 <kalev> that would be next week :)

Comment 4 Daniel Rusek 2020-10-06 12:36:21 UTC
But feel free to propose this bz as a blocker.

Comment 5 Richard Hughes 2020-10-06 12:36:28 UTC
> I'll ask him again once we're frozen for F33 Final

I can generate some metadata whenever required; just grab me on irc.

Comment 6 Daniel Rusek 2020-10-07 14:34:29 UTC
Should this bz be proposed as a blocker/freeze exception?

Comment 7 Kalev Lember 2020-10-07 14:49:18 UTC
There's no need to _propose_ it: appstream-data updates have an automatic FE exception that doesn't need proposing/discussion.

Comment 8 Daniel Rusek 2020-10-07 14:58:51 UTC
Ah! Thanks for the info. :-)

Comment 9 Kalev Lember 2020-10-09 12:34:33 UTC
Richard, I think now would be a good time to regenerate it if you have time for it. F33 is now in the final freeze and the GNOME and KDE megaupdates have both landed and should be synced out to repositories.

Comment 10 Pete Walter 2020-10-14 13:05:01 UTC
Can we get a new appstream-data build please?

I think this really should be a blocker ... how is it possible that we release F33 without any of the appdata changes from the past 6 months of development?

Comment 11 Daniel Rusek 2020-10-14 13:20:20 UTC
+1 blocker

Comment 12 Adam Williamson 2020-10-14 16:05:10 UTC
This is an automatic freeze exception, by FESCo vote:

https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process#Automatic_freeze_exceptions
https://pagure.io/fesco/issue/2374#comment-642102

by implication it should not be a blocker, or else FESCo would have voted that these should be automatic blockers.

Comment 13 Adam Williamson 2020-10-14 21:11:01 UTC
-3 blocker votes in https://pagure.io/fedora-qa/blocker-review/issue/172 , rejecting (it is still an accepted freeze exception, and Richard says he'll do a new build tomorrow).

Comment 14 Fedora Update System 2020-10-15 16:21:15 UTC
FEDORA-2020-c55c7caacb has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c55c7caacb

Comment 15 Daniel Rusek 2020-10-15 16:34:10 UTC
The needinfo request is not needed anymore.

Comment 16 Fedora Update System 2020-10-15 19:09:25 UTC
FEDORA-2020-c55c7caacb has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c55c7caacb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c55c7caacb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-10-15 22:35:28 UTC
FEDORA-2020-c55c7caacb has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.